Get currency exchange rates
GET
https://api.light.inc/v1/exchange/rates/{currency}
Returns exchange rates for the given currency against all available currencies
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Path parameters
-
currencystringrequiredCurrency for which available exchange rates are requested for
Query parameters
-
datestring · dateDate the exchange rate is requested for. If omitted, defaults to today
Response
-
basestring -
targetstring -
ratenumberExchange rate between base and target currency
-
effectiveDatestring · dateEffective date of the exchange rate. E.g., rate requested on Saturday will have the effective date Friday
-
requestedDatestring · dateDate the exchange rate is requested for